Get the statistics of the open tasks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/tasks/open-tasks/stats

Get the number of tasks and the totals for each task type and each task status of each open project. An administrator gets all the open projects. Other users get the open projects of their teams.

Responses

  • 200 application/json

    A map of project identifiers to statistics

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • total integer
      • done integer
      • estimation integer
      • duration integer
  • 400

    Bad request

GET /data/tasks/open-tasks/stats
curl -X GET "http://api.example.com/data/tasks/open-tasks/stats" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/open-tasks/stats"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "additionalProperty1": {
    "total": 42,
    "done": 42,
    "estimation": 42,
    "duration": 42
  },
  "additionalProperty2": {
    "total": 42,
    "done": 42,
    "estimation": 42,
    "duration": 42
  }
}